Login
Este plugin no se ha probado con las últimas versiones WordPress: instalar o no instalar

Este plugin no se ha probado con las últimas versiones WordPress: instalar o no instalar

Muchos dueños de sitios web a menudo nos preguntan si es seguro utilizar o instalar complementos que no se probaron con las últimas versiones de WordPress. Esta es una una buena pregunta, ya que, en cuanto a lo que a software respecta, siempre es deseable mantener todo actualizado y al día. En el caso particular de WordPress, hay muchos complementos que simplemente no se actualizan al salir a la luz nuevas versiones de WordPress, dado que el desarrollador considera que no es necesario lanzar un update, pero tantas otras veces también ocurre por abandono.

Seguramente en busca de algún plugin complementario para tu site, dentro del repositorio oficial de WordPress, hayas leído el mensaje “Este plugin no se ha probado con las últimas versiones de WordPress”. Si bien la respuesta por si conviene o no instalar un plugin no probado en versiones recientes de WordPress se inclina a que no deberías hacerlo, muchas veces esto queda determinado por la decisión del dueño del sitio web o de quien tenga a cargo su desarrollo.

Es por eso que en esta nota vamos a mencionar algunos criterios y tips que te ayudarán a tomar una decisión.

conviene o no instalar plugin no probado en versiones de wordpress

 

¿Me conviene instalar un plugin que no haya sido probado en las últimas versiones de WordPress?

Como te decíamos recién… La idea es que no lo hagas, pero si estás necesitando sí o sí instalar tal o cual complemento en tu WordPress, entonces depende. Si estabas buscando una respuesta más ambigua para el caso, entonces sería que, a menos que existan problemas de seguridad conocidos, puede “estar bien”, pero realmente depende de la complejidad del complemento y la funcionalidad que proporciona.

En el repositorio oficial de WordPress hay complementos que estuvieron más de 5 años sin actualizarse, y a día de la fecha pueden seguir funcionando sin problema. Y a qué se debe esto: la complejidad de esos plugins se resume a un “detrás de escena” con un par de líneas de código PHP, algunas modificaciones en archivos y un front end para guardar los cambios dentro del admin de WordPress. Esta historia está basada en un conocido plugin para gestionar comentarios de WordPress, que preferimos no mencionar; dado que nuestra recomendación es utilizar plugins cuyos desarrolladores se mantengan activos.

La mayoría de los plugins de WordPress se actualizan con cada nueva versión. Si por dentro el plugin no tiene cambios profundos, al menos los desarrolladores lanzan updates cosméticos para demostrar movimiento y dar señales de vida. Con cada nueva versión de tus plugins, encontrarás también un registro de los últimos cambios y mejoras aplicadas.

 

Este plugin no se ha probado con las últimas versiones de WordPress

La frase “Este plugin no se ha probado con las últimas versiones de WordPress” es bastante clara y si bien no le dice al usuario si el plugin es seguro de usar, a la vez advierte que puede haber problemas al utilizarlo. En términos prácticos es sólo un aviso que te permitirá saber esencialmente que el desarrollador del complemento no registró cambios para garantizar la compatibilidad con las últimas versiones de WordPress.

💡 ¡TIP! Para que tengas en cuenta, en los últimos tiempos, se puede hablar de que salen a la luz unas 3 versiones de WordPress en un período de 1 año. Es decir, si ves un aviso de que tal plugin no es compatible con las últimas 3 versiones, entonces, hace más de un año que no se tienen novedades del desarrollador.

El mensaje de advertencia no indica que haya algún problema en particular con el plugin o que no debas usarlo. Solo transluce que el desarrollador puede tener un poco de letargo o estar ocupado como para prestarle atención, y no se ha tomado el tiempo de actualizar el plugin y registrar los cambios. Algo que tampoco apoyamos aquí.

 

Hosting WordPress

Más simple y con herramientas increíbles que jamás hayas visto. Backup, staging y actualizador seguro en 1 clic. ¡Ya no tendrás que preocuparte por nada! Descuentos geniales esperan por ti.

Ver planes

 

 

Cómo determinar si es seguro o no instalar un plugin no probado en las últimas versiones

Si bien la única manera de asegurarte de que instalar un plugin que no recibe actualizaciones hace tiempo es revisando su código (algo que no está al alcance de casi nadie), hay algunas recomendaciones que podemos darte para hurgar un poco más y encontrar algo más de info antes de tirarte a la pileta e instalarlo:

  • Revisa el registro de cambios del complemento en la solapa “Desarrollo” dentro del repositorio oficial de WordPress como lo ves en la imagen debajo.
  • Publica una pregunta en el foro de soporte del plugin o el foro oficial de WordPress y lee algunas publicaciones acerca del complemento.
  • Pregúntale a otros desarrolladores de sitios en WordPress qué piensan. En WNPower tienes una comunidad de usuarios de hosting a tu disposición, aprovéchala 😉
  • Si eres de los desarrolladores más osados: examina el código fuente.
  • Prueba el plugin en una copia de staging de WordPress.
  • Intenta buscando un plugin que cumpla la misma función, pero que esté actualizado. 🙂

Con un poco de esfuerzo, puedes juntar las piezas del rompecabezas, y obtener una imagen clara de si algún complemento no actualizado es seguro de usar.

 

 

Mensaje especial para desarrolladores de plugins de WordPress

Si eres desarrollador de un plugin y estás leyendo esto, ya sabes que cuentas con el prestigio de haber solucionado un problema o una necesidad a miles de usuarios, con lo que esas miles de personas estarán agradecidos contigo. WordPress es una comunidad, y tú has regalado parte de tu tiempo y conocimientos para ayudar a otros.

Para que ese esfuerzo no sea en vano, tómate unos minutos para cada nueva versión de WordPress, y prueba o actualiza tus complementos. Si el complemento no requiere ningún cambio, al menos agrega la info en el plugin y en el repo de WordPress para todos sepan que es seguro instalar tu plugin. Solo toma un rato, y definitivamente ayuda a las personas de la comunidad WordPress a decidir si instalarlo o no.

¡Animo! ¡Todos somos usuarios de plugins de WordPress!

 

Conclusión final

Cualquier tipo de software debe de estar actualizado siempre a la última versión. Esto es regla general para que luego no ocurran rupturas o problemas de seguridad en cualquier sitio, sistema o dispositivo. Los plugins de WordPress no son la excepción, y nuestra recomendación es que mantengas actualizados tus complementos; y si estabas buscando instalar uno nuevo para agregar una nueva funcionalidad o mejorar tu WordPress, es mejor que busques en el repositorio de plugins uno que esté al día. Después de todo, encontrarás más de un plugin que agregue la funcionalidad que buscabas.

¡Esperamos haber podido ayudarte a conseguir una respuesta y te esperamos en los próximos posts!